Redmine - Feature #30482

Multiple issue ids in "Parent task" filter
2019-01-23 09:11 - Hirofumi Kadoya

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

at Custom Query
parent issue can select single
issue can select multiple

I'd like to select mulutiple likely issue
Related issues:
Related to Redmine - Feature #30808: Multiple issue ids in "Subtasks" filter Closed

Associated revisions

Revision 17843 - 2019-02-02 00:31 - Go MAEDA
Multiple issue ids in "Parent task" filter (#30482).

Patch by Yuichi HARADA.

History

#1 - 2019-01-23 09:24 - Go MAEDA
- Subject changed from at Custom Query issue can select mulutiple but parent issue cannot select multiple to Multiple issue ids in "Parent task" filter

- Category set to Issues filter

"Issue" filter supports comma-separated multiple issue ids. The original author hopes "Parent issue" filter to support comma-separated issue ids as
well as "Issue" filter.

#2 - 2019-01-31 09:01 - Yuichi HARADA
- File 30482-fix-parent-id-filter.patch added

| changed so that The "Parent issue" filter supports comma-separated multiple issue ids.
| attached a patch.

#3 - 2019-02-01 10:24 - Go MAEDA

- Target version set to 4.1.0

LGTM. This patch improves the consistency of the behavior between "Parent task" and "Issue" filter.

Setting the target version to 4.1.0.

#4 - 2019-02-02 00:33 - Go MAEDA

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you all for your contribution.

#5 - 2019-02-14 09:07 - Go MAEDA
- Related to Feature #30808: Multiple issue ids in "Subtasks" filter added

Files

30482-fix-parent-id-filter.patch 1.54 KB
